curl --request GET \
--url https://api.cal.com/v2/organizations/{orgId}/usersimport requests
url = "https://api.cal.com/v2/organizations/{orgId}/users"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cal.com/v2/organizations/{orgId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"id": 1,
"email": "john@example.com",
"timeZone": "America/New_York",
"weekStart": "Monday",
"hideBranding": false,
"createdDate": "2022-01-01T00:00:00Z",
"profile": {
"id": 1,
"organizationId": 1,
"userId": 1,
"username": "john_doe"
},
"username": "john_doe",
"name": "John Doe",
"emailVerified": "2022-01-01T00:00:00Z",
"bio": "I am a software developer",
"avatarUrl": "https://example.com/avatar.jpg",
"appTheme": "light",
"theme": "default",
"defaultScheduleId": 1,
"locale": "en-US",
"timeFormat": 12,
"brandColor": "#ffffff",
"darkBrandColor": "#000000",
"allowDynamicBooking": true,
"verified": true,
"invitedTo": 1,
"metadata": {
"key": "value"
}
}
]
}Get all users
Required membership role: org admin. PBAC permission: organization.readMemberships. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control. If accessed using an OAuth access token, the ORG_MEMBERSHIP_READ scope is required.
Headers
For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_
For platform customers - OAuth client secret key
For platform customers - OAuth client ID
Path Parameters
Query Parameters
The number of items to return
1 <= x <= 100010
The number of items to skip
x >= 00
The email address or an array of email addresses to filter by
["user1@example.com", "user2@example.com"]
Filter by assigned attribute option ids. ids must be separated by a comma.
1"?assignedOptionIds=aaaaaaaa-bbbb-cccc-dddd-eeeeee1eee,aaaaaaaa-bbbb-cccc-dddd-eeeeee2eee"
Query operator used to filter assigned options, AND by default.
OR, AND, NONE "NONE"
Filter by teamIds. Team ids must be separated by a comma.
1"?teamIds=100,200"
Was this page helpful?